shiro-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Les Hazlewood (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (SHIRO-318) Guice integration causes a warning from guice-servlet
Date Wed, 14 Sep 2011 17:57:09 GMT

    [ https://issues.apache.org/jira/browse/SHIRO-318?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13104725#comment-13104725
] 

Les Hazlewood commented on SHIRO-318:
-------------------------------------

Jared, can this issue be resolved now?  I'm just trying to do some house cleaning in an effort
to get 1.2 released.

> Guice integration causes a warning from guice-servlet
> -----------------------------------------------------
>
>                 Key: SHIRO-318
>                 URL: https://issues.apache.org/jira/browse/SHIRO-318
>             Project: Shiro
>          Issue Type: Bug
>    Affects Versions: 1.2.0
>            Reporter: Jared Bunting
>             Fix For: 1.2.0
>
>
> We see this:
> Aug 5, 2011 12:28:49 PM
> com.google.inject.servlet.InternalServletModule$BackwardsCompatibleServletContextProvider
> get
> WARNING: You are attempting to use a deprecated API (specifically,
> attempting to @Inject ServletContext inside an eagerly created
> singleton. While we allow this for backwards compatibility, be warned
> that this MAY have unexpected behavior if you have more than one
> injector (with ServletModule) running in the same JVM. Please consult
> the Guice documentation at
> http://code.google.com/p/google-guice/wiki/Servlets for more
> information.

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message